LDCONFIG(8)

NAZWA
ldconfig - konfiguruje powiązania konsolidacyjne czasu uruchamiania

SKŁADNIA
/sbin/ldconfig [ -nNvXV ] [ -f conf ] [ -C cache ] [ -r root ] katalog ...
/sbin/ldconfig -l [ -v ] biblioteka ...
/sbin/ldconfig -p

OPIS
ldconfig tworzy potrzebne linki i bufor cache do najnowszych bibliotek dzielonych, które znajdzie w katalogach podanych w linii poleceń, w pliku /etc/ld.so.conf oraz w zaufanych katalogach (/lib oraz /usr/lib). ldconfig sprawdza nagłówki i nazwy plików badanych bibliotek, aby określić, które wersje powinny mieć odnowione linki.

ldconfig spróbuje określić typ bibliotek ELF (to jest libc5 lub libc6/glibc) na podstawie tego, z którymi bibliotekami C, jeśli z jakimikolwiek, biblioteki zostały skonsolidowane.

Niektóre istniejące biblioteki nie zawierają wystarczających informacji pozwalających na określenie typu. Dlatego format pliku /etc/ld.so.conf pozwala na podanie oczekiwanego typu. Jest to używane tylko dla tych bibliotek ELF, dla których nie udało się określić typu. Format to "katalog=TYP", gdzie "TYP" może być jednym z libc4, libc5 lub libc6. (Składania ta działa również w linii poleceń). Nie można używać spacji. Patrz także opis opcji -p. ldconfig powinien być używany przez administratora, ponieważ może wymagać praw do zapisu niektórych katalogów i plików użytkownika root.

OPCJE

-v  Tryb gadatliwy. Wyświetla bieżący numer wersji, nazwę każdego skanowanego katalogu i każdy tworzony link. Unieważnia tryb cichy.

-n  Przetwarza tylko katalogi podane w linii poleceń. Nie przetwarza katalogów zaufanych (/lib i /usr/lib) ani tych, podanych w /etc/ld.so.conf. Wymusza -N.

-N  Nie przebudowuje cache. O ile nie podano -X, linki są wciąż odnawiane.

-X  Nie odnawia linków. O ile nie podano -N, cache jest wciąż przebudowywane.

-f conf
    Używa conf zamiast /etc/ld.so.conf.

-C cache
    Używa cache zamiast /etc/ld.so.cache.

-r root
    Zmienia katalog główny na root i używa go.

-l  Tryb biblioteki. Linkuj ręcznie pojedyncze biblioteki. Przeznaczone tylko dla ekspertów.

-p  Wyświetla listę katalogów i biblioteki, przechowywane w bieżącym cache.

PLIKI
/lib/ld.so
    Konsolidator czasu uruchamiania.
/etc/ld.so.conf
    Plik zawierający listę katalogów, oddzielonych dwukropkami, spacjami, tabulacjami lub nowymi liniami. Katalogi wskazują, gdzie szukać bibliotek.
/etc/ld.so.cache
    Plik zawierający uporządkowaną listę bibliotek, znalezionych w katalogach wymienionych w /etc/ld.so.conf oraz w katalogach /lib i /usr/lib.

ZOBACZ TAKŻE
ldd(1), ld.so(8)

O STRONIE
Angielska wersja tej strony pochodzi z wydania 3.71 projektu Linux man-pages. Opis projektu, informacje dotyczące zgłaszania błędów, oraz najnowszą wersję oryginału można znaleźć pod adresem http://www.kernel.org/doc/man-pages/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 3.71 oryginału.